net.corda.core.serialization

## Class WireTransactionSerializer

- net.corda.core.serialization.WireTransactionSerializer

-     public class WireTransactionSerializer

  A serialisation engine that knows how to deserialise code inside a sandbox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WireTransactionSerializer` | `INSTANCE` A serialisation engine that knows how to deserialise code inside a sandbox

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WireTransaction` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<net.corda.core.transactions.WireTransaction> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, WireTransaction obj)`

- - ### Field Detail

    - #### INSTANCE

          public static WireTransactionSerializer INSTANCE

      A serialisation engine that knows how to deserialise code inside a sandbox

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            WireTransaction obj)

    - #### read

          public WireTransaction read(com.esotericsoftware.kryo.Kryo kryo,
                                      com.esotericsoftware.kryo.io.Input input,
                                      java.lang.Class<net.corda.core.transactions.WireTransaction> type)